| Method | URI | Description |
|---|---|---|
| POST | /v2/{tenant_id}/servers/{server_id}/action | Rebuilds a specified server. |
Normal response codes: 202
This table shows the URI parameters for the rebuild server request:
| Name | Type | Description |
|---|---|---|
| String | The ID for the tenant or account in a multi-tenancy cloud. |
| UUID | The UUID for the server of interest to you. |
Example 3.412. Rebuild server: JSON request
{
"rebuild": {
"imageRef" : "http://openstack.example.com/openstack/images/70a599e0-31e7-49b7-b260-868f441e862b",
"OS-DCF:diskConfig": "AUTO"
}
}Example 3.413. Rebuild server: XML request
<?xml version="1.0" encoding="UTF-8"?>
<rebuild xmlns:OS-DCF="http://docs.openstack.org/compute/ext/disk_config/api/v1.1"
xmlns:atom="http://www.w3.org/2005/Atom"
xmlns="http://docs.openstack.org/compute/api/v1.1"
imageRef="http://openstack.example.com/openstack/images/70a599e0-31e7-49b7-b260-868f441e862b"
OS-DCF:diskConfig="AUTO" />This operation does not require a request body.
Example 3.414. Rebuild server: JSON response
{
"server": {
"OS-DCF:diskConfig": "AUTO",
"accessIPv4": "",
"accessIPv6": "",
"addresses": {
"private": [
{
"addr": "192.168.0.3",
"version": 4
}
]
},
"adminPass": "NBjMaJoFL4EF",
"created": "2012-12-02T02:11:56Z",
"flavor": {
"id": "1",
"links": [
{
"href": "http://openstack.example.com/openstack/flavors/1",
"rel": "bookmark"
}
]
},
"hostId": "c076393ad900d62c4805a42df10d9b364f629842681c00cce035487f",
"id": "63a8aa13-60fe-41c4-b079-77f6fdf3c841",
"image": {
"id": "70a599e0-31e7-49b7-b260-868f441e862b",
"links": [
{
"href": "http://openstack.example.com/openstack/images/70a599e0-31e7-49b7-b260-868f441e862b",
"rel": "bookmark"
}
]
},
"links": [
{
"href": "http://openstack.example.com/v2/openstack/servers/63a8aa13-60fe-41c4-b079-77f6fdf3c841",
"rel": "self"
},
{
"href": "http://openstack.example.com/openstack/servers/63a8aa13-60fe-41c4-b079-77f6fdf3c841",
"rel": "bookmark"
}
],
"metadata": {
"My Server Name": "Apache1"
},
"name": "new-server-test",
"progress": 0,
"status": "ACTIVE",
"tenant_id": "openstack",
"updated": "2012-12-02T02:11:56Z",
"user_id": "fake"
}
}Example 3.415. Rebuild server: XML response
<?xml version='1.0' encoding='UTF-8'?>
<server xmlns:OS-DCF="http://docs.openstack.org/compute/ext/disk_config/api/v1.1" xmlns:atom="http://www.w3.org/2005/Atom" xmlns="http://docs.openstack.org/compute/api/v1.1" status="ACTIVE" updated="2012-12-02T02:15:39Z" hostId="981de784ae4d8c49ca075024977828a16e7f3c2beeb19115b0366e17" name="new-server-test" created="2012-12-02T02:15:38Z" userId="fake" tenantId="openstack" accessIPv4="" accessIPv6="" progress="0" id="10791a94-8900-4d0c-b93d-0debb224882e" adminPass="mTxoVD3eALpv" OS-DCF:diskConfig="AUTO">
<image id="70a599e0-31e7-49b7-b260-868f441e862b">
<atom:link href="http://openstack.example.com/openstack/images/70a599e0-31e7-49b7-b260-868f441e862b" rel="bookmark"/>
</image>
<flavor id="1">
<atom:link href="http://openstack.example.com/openstack/flavors/1" rel="bookmark"/>
</flavor>
<metadata>
<meta key="My Server Name">Apache1</meta>
</metadata>
<addresses>
<network id="private">
<ip version="4" addr="192.168.0.3"/>
</network>
</addresses>
<atom:link href="http://openstack.example.com/v2/openstack/servers/10791a94-8900-4d0c-b93d-0debb224882e" rel="self"/>
<atom:link href="http://openstack.example.com/openstack/servers/10791a94-8900-4d0c-b93d-0debb224882e" rel="bookmark"/>
</server>This operation does not return a response body.

